package com.kmall.common.utils.wechat;

/**
 * 微信查询接口返回的字段
 * @author huangyaqin
 * @version 1.0
 * 2018-11-02 10:22
 */
public class WechatRefundQueryResult {
    private String xmlStr;
    private String return_code;
    private String return_msg;

    private String result_code;
    private String err_code;
    private String err_code_des;
    private String appid;
    private String mch_id;
    private String req_info;
    private String nonce_str;
    private String sign;
    private String total_refund_count;//订单总退款次数
    private String transaction_id;//微信订单号
    private String out_trade_no;//商户订单号
    private String total_fee;//订单金额 订单总金额，单位为分，只能为整数
    private String settlement_total_fee;//应结订单金额 =订单金额-免充值优惠券金额
    private String fee_type;//货币种类 默认人民币：CNY
    private String cash_fee;//现金支付金额	现金支付金额，单位为分，只能为整数
    private String refund_count;//退款笔数
    private String out_refund_no;//商户退款单号
    private String refund_id;//微信退款单号
    private String refund_channel;//退款渠道 ORIGINAL—原路退款 BALANCE—退回到余额 OTHER_BALANCE—原账户异常退到其他余额账户 OTHER_BANKCARD—原银行卡异常退到其他银行卡
    private String refund_fee;//申请退款金额	 退款总金额,单位为分,可以做部分退款
    private String settlement_refund_fee;//退款金额
    /**
     * SUCCESS—退款成功
     REFUNDCLOSE—退款关闭。
     PROCESSING—退款处理中
     CHANGE—退款异常，退款到银行发现用户的卡作废或者冻结了，导致原路退款银行卡失败
     */
    private String refund_status;//退款状态
    /**
     * REFUND_SOURCE_RECHARGE_FUNDS---可用余额退款/基本账户
     REFUND_SOURCE_UNSETTLED_FUNDS---未结算资金退款
     */
    private String refund_account;//退款资金来源
    /**
     * 取当前退款单的退款入账方
     1）退回银行卡：
     {银行名称}{卡类型}{卡尾号}
     2）退回支付用户零钱:
     支付用户零钱
     3）退还商户:
     商户基本账户
     商户结算银行账户
     4）退回支付用户零钱通:
     支付用户零钱通
     */
    private String refund_recv_accout;
    private String refund_success_time;//退款成功时间

    public String getXmlStr() {
        return xmlStr;
    }

    public void setXmlStr(String xmlStr) {
        this.xmlStr = xmlStr;
    }

    public String getReturn_code() {
        return return_code;
    }

    public void setReturn_code(String return_code) {
        this.return_code = return_code;
    }

    public String getReturn_msg() {
        return return_msg;
    }

    public void setReturn_msg(String return_msg) {
        this.return_msg = return_msg;
    }

    public String getResult_code() {
        return result_code;
    }

    public void setResult_code(String result_code) {
        this.result_code = result_code;
    }

    public String getErr_code() {
        return err_code;
    }

    public void setErr_code(String err_code) {
        this.err_code = err_code;
    }

    public String getErr_code_des() {
        return err_code_des;
    }

    public void setErr_code_des(String err_code_des) {
        this.err_code_des = err_code_des;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getMch_id() {
        return mch_id;
    }

    public void setMch_id(String mch_id) {
        this.mch_id = mch_id;
    }

    public String getReq_info() {
        return req_info;
    }

    public void setReq_info(String req_info) {
        this.req_info = req_info;
    }

    public String getNonce_str() {
        return nonce_str;
    }

    public void setNonce_str(String nonce_str) {
        this.nonce_str = nonce_str;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getTotal_refund_count() {
        return total_refund_count;
    }

    public void setTotal_refund_count(String total_refund_count) {
        this.total_refund_count = total_refund_count;
    }

    public String getTransaction_id() {
        return transaction_id;
    }

    public void setTransaction_id(String transaction_id) {
        this.transaction_id = transaction_id;
    }

    public String getOut_trade_no() {
        return out_trade_no;
    }

    public void setOut_trade_no(String out_trade_no) {
        this.out_trade_no = out_trade_no;
    }

    public String getTotal_fee() {
        return total_fee;
    }

    public void setTotal_fee(String total_fee) {
        this.total_fee = total_fee;
    }

    public String getSettlement_total_fee() {
        return settlement_total_fee;
    }

    public void setSettlement_total_fee(String settlement_total_fee) {
        this.settlement_total_fee = settlement_total_fee;
    }

    public String getFee_type() {
        return fee_type;
    }

    public void setFee_type(String fee_type) {
        this.fee_type = fee_type;
    }

    public String getCash_fee() {
        return cash_fee;
    }

    public void setCash_fee(String cash_fee) {
        this.cash_fee = cash_fee;
    }

    public String getRefund_count() {
        return refund_count;
    }

    public void setRefund_count(String refund_count) {
        this.refund_count = refund_count;
    }

    public String getOut_refund_no() {
        return out_refund_no;
    }

    public void setOut_refund_no(String out_refund_no) {
        this.out_refund_no = out_refund_no;
    }

    public String getRefund_id() {
        return refund_id;
    }

    public void setRefund_id(String refund_id) {
        this.refund_id = refund_id;
    }

    public String getRefund_channel() {
        return refund_channel;
    }

    public void setRefund_channel(String refund_channel) {
        this.refund_channel = refund_channel;
    }

    public String getRefund_fee() {
        return refund_fee;
    }

    public void setRefund_fee(String refund_fee) {
        this.refund_fee = refund_fee;
    }

    public String getSettlement_refund_fee() {
        return settlement_refund_fee;
    }

    public void setSettlement_refund_fee(String settlement_refund_fee) {
        this.settlement_refund_fee = settlement_refund_fee;
    }

    public String getRefund_status() {
        return refund_status;
    }

    public void setRefund_status(String refund_status) {
        this.refund_status = refund_status;
    }

    public String getRefund_account() {
        return refund_account;
    }

    public void setRefund_account(String refund_account) {
        this.refund_account = refund_account;
    }

    public String getRefund_recv_accout() {
        return refund_recv_accout;
    }

    public void setRefund_recv_accout(String refund_recv_accout) {
        this.refund_recv_accout = refund_recv_accout;
    }

    public String getRefund_success_time() {
        return refund_success_time;
    }

    public void setRefund_success_time(String refund_success_time) {
        this.refund_success_time = refund_success_time;
    }
}
